Index: common/ppc/quant.c
===================================================================
--- common/ppc/quant.c	(revision 629)
+++ common/ppc/quant.c	(working copy)
@@ -18,10 +18,24 @@
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/
 
+#ifdef SYS_LINUX
+#include <altivec.h>
+#endif
+
 #include "common/common.h"
 #include "ppccommon.h"
 #include "quant.h"            
 
+typedef union {
+  unsigned int s[4];
+  vector unsigned int v;
+} vect_int_u;
+
+typedef union {
+  unsigned short s[8];
+  vector unsigned short v;
+} vect_ushort_u;
+
 // quant of a whole 4x4 block, unrolled 2x and "pre-scheduled"
 #define QUANT_16_U( dct0, dct1, quant_mf0, quant_mf1, quant_mf2, quant_mf3 ) \
 temp1v = vec_ld((dct0), *dct);                                               \
Index: common/ppc/quant.h
===================================================================
--- common/ppc/quant.h	(revision 629)
+++ common/ppc/quant.h	(working copy)
@@ -18,23 +18,9 @@
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/
 
-#ifdef SYS_LINUX
-#include <altivec.h>
-#endif
-
 #ifndef _PPC_QUANT_H
 #define _PPC_QUANT_H 1
 
-typedef union {
-  unsigned int s[4];
-  vector unsigned int v;
-} vect_int_u;
-
-typedef union {
-  unsigned short s[8];
-  vector unsigned short v;
-} vect_ushort_u;
-
 void x264_quant_4x4_altivec( int16_t dct[4][4], int quant_mf[4][4], int const i_qbits, int const f );
 void x264_quant_8x8_altivec( int16_t dct[8][8], int quant_mf[8][8], int const i_qbits, int const f );
 